<?php
if($this->session->userdata('is_logged_in')===FALSE){
    redirect('login');
}

$url = base_url("resources/template/new_template/peradilan_umum/pidana/penetapan/PEN_KPN_TERHADAP_KEPUTUSAN_PENYIDIK.rtf");

$Template = file_get_contents($url);

$namapn = '...........';
$namaketuapn = '............';
$namakota = '..............';
$namawakilpn= '...............';
$PlhKetua = '...............';
$PltKetua = '...............';

foreach ($datapengadilan->result() as $row) {
    $namapn = $this->templatehelper->standradnaming($row->NamaPN);
    $namaketuapn = $this->templatehelper->standradnaming($row->KetuaPNNama);
    $namawakilpn = $this->templatehelper->standradnaming($row->WakilKetuaPNNama);
    $PlhKetua = $this->templatehelper->standradnaming($row->PlhKetua);
    $PltKetua = $this->templatehelper->standradnaming($row->PltKetua);
    $namakota =str_replace("Pengadilan Negeri ",'',$namapn);
}

$Template = str_replace("#satker#",''.$namapn.'',$Template);
$Template = str_replace('#nama_kota#',''.$namakota.'',$Template);
if ($ditetapkanoleh==1) {
    $Template = str_replace('#atasnama#','Ketua',$Template);
    $Template = str_replace('#ketuapn#',''.$namaketuapn.'',$Template);
    $Template = str_replace('#jabatan#','',$Template);
}elseif($ditetapkanoleh==2) {
    $Template = str_replace('#atasnama#','a.n Ketua',$Template);
    $Template = str_replace('#ketuapn#',''.$namawakilpn.'',$Template);
    $Template = str_replace('#jabatan#','Wakil Ketua',$Template);
}elseif($ditetapkanoleh==5) {
    $Template = str_replace('#atasnama#','a.n Ketua',$Template);
    $Template = str_replace('#ketuapn#',''.$PlhKetua.'',$Template);
    $Template = str_replace('#jabatan#','Hakim',$Template);
}elseif($ditetapkanoleh==7) {
    $Template = str_replace('#atasnama#','a.n Ketua',$Template);
    $Template = str_replace('#ketuapn#',''.$PltKetua.'',$Template);
    $Template = str_replace('#jabatan#','Hakim',$Template);
}

if($data_register->num_rows()>0){
    foreach ($data_register->result() as $row) {
        $nomor_permohonan               = $row->nomor_permohonan;
        $tgl_permohonan                 = $this->templatehelper->convertKeTglIndo($row->tgl_permohonan);
        $nomor_penetapan_kpn            = $row->nomor_penetapan;
        $tgl_penetapan_kpn              = $this->templatehelper->convertKeTglIndo($row->tgl_penetapan);
        $nomor_kep_penyidik             = $row->nomor_kep_penyidik;
        $tgl_kep_penyidik               = $this->templatehelper->convertKeTglIndo($row->tgl_kep_penyidik);
        $nomor_lap_kemasyarakatan       = $row->nomor_lap_kemasyarakatan;
        $tgl_lap_kemasyarakatan         = $this->templatehelper->convertKeTglIndo($row->tgl_lap_kemasyarakatan);
        $uraian_tindak_pidana           = $row->uraian_tindak_pidana;
        $isi_kep_penyidik               = $row->isi_kep_penyidik;
    }
}else{
    $nomor_permohonan               = '...........';
    $tgl_permohonan                 = '...........';
    $nomor_penetapan_kpn            = '...........';
    $tgl_penetapan_kpn              = '...........';
    $nomor_kep_penyidik             = '...........';
    $tgl_kep_penyidik               = '...........';
    $nomor_lap_kemasyarakatan       = '...........';
    $tgl_lap_kemasyarakatan         = '...........';
    $uraian_tindak_pidana           = '...........';
    $isi_kep_penyidik               = '...........';
}

$Template = str_replace('#nomor_permohonan#',''.$nomor_permohonan.'',$Template);
$Template = str_replace('#tgl_permohonan#',''.$tgl_permohonan.'',$Template);
$Template = str_replace('#nomor_penetapan_kpn#',''.$nomor_penetapan_kpn.'',$Template);
$Template = str_replace('#tgl_penetapan_kpn#',''.$tgl_penetapan_kpn.'',$Template);
$Template = str_replace('#nomor_kep_penyidik#',''.$nomor_kep_penyidik.'',$Template);
$Template = str_replace('#tgl_kep_penyidik#',''.$tgl_kep_penyidik.'',$Template);
$Template = str_replace('#nomor_lap_kemasyarakatan#',''.$nomor_lap_kemasyarakatan.'',$Template);
$Template = str_replace('#tgl_lap_kemasyarakatan#',''.$tgl_lap_kemasyarakatan.'',$Template);
$Template = str_replace('#uraian_tindak_pidana#',''.$uraian_tindak_pidana.'',$Template);
$Template = str_replace('#isi_kep_penyidik#',''.$isi_kep_penyidik.'',$Template);

$identitas ='';
if($data_anak->num_rows()>0){
    foreach ($data_anak->result() as $row) {
        $jumlah_row         = $row->jumlah_row;
        $namaterdakwa       = $this->templatehelper->standradnaming($row->nama);
        $tempatlahir        = !empty($row->tempat_lahir)?$this->templatehelper->standradnaming($row->tempat_lahir):'...........';
        $umur               = !empty($row->umur)?$row->umur:'.....';
        $tanggal_lahir      = !empty($row->tanggal_lahir)?$this->templatehelper->convertKeTglIndo($row->tanggal_lahir):'..........';
        $jenis_kelamin      = $row->jenis_kelamin;
        $kebangsaan         = !empty($row->warga_negara)?$row->warga_negara:'..........';
        $alamat             = $this->templatehelper->standradnaming($row->alamat);
        $agama              = $row->agama_nama;
        $pekerjaan          = $this->templatehelper->standradnaming($row->pekerjaan);
    }
    if($jumlah_row>1){
        $dkk = '; dan kawan-kawan';
        $nama_anak = $namaterdakwa.' dkk';
    }else{
        $dkk = '';
        $nama_anak = $namaterdakwa;
    }
    if($jenis_kelamin=='P'){
        $sex = 'Perempuan';
    }elseif($jenis_kelamin=='L'){
        $sex = 'Laki-laki';
    }
    $identitas .='Nama lengkap          \\tab :\\tab '.$namaterdakwa.$dkk.'; \\par '.
                 'Tempat lahir          \\tab :\\tab '.$tempatlahir.'; \\par '.
                 'Umur/tanggal lahir    \\tab :\\tab '.$umur.' / '.$tanggal_lahir.'; \\par '.
                 'Jenis Kelamin         \\tab :\\tab '.$sex.'; \\par '.
                 'Kebangsaan            \\tab :\\tab '.$kebangsaan.'; \\par '.
                 'Tempat tinggal        \\tab :\\tab '.$alamat.'; \\par '.
                 'Agama                 \\tab :\\tab '.$agama.'; \\par '.
                 'Pekerjaan             \\tab :\\tab '.$pekerjaan.'; ';
}

$Template = str_replace('#looping_terdakwa_dkk#','\highlight7'.$identitas.'',$Template);
$Template = str_replace('#nama_anak#',''.$nama_anak.'',$Template);

                        

header("Content-Type: application/vnd.ms-word");
header("Expires: 0");
header("Cache-Control:  must-revalidate, post-check=0, pre-check=0");
header("Content-disposition: attachment; filename=\"Penetapan-".$nomor_penetapan_kpn.".rtf\"");
echo $Template;
?>